# 실명조회

## 1. CheckDepositorInfo - 실명조회

| HTTP Method | 테스트(Sandbox)                                                | 운영(Production)                                         |
| ----------- | ----------------------------------------------------------- | ------------------------------------------------------ |
| POST        | <https://popbill-test.linkhub.co.kr/EasyFin/DepositorCheck> | <https://popbill.linkhub.co.kr/EasyFin/DepositorCheck> |

- 1건의 예금주실명을 조회합니다.

### Request

**요청 헤더**

- Authorization `required: Y` `description: 인증 토큰`
  - [\[참고\] 인증 및 헤더 설정](https://developers.popbill.com/api-reference/accountcheck/getting-started/authorization)
- Accept-Language `required: N` `description: 응답 언어 설정`
  - `ko-KR`: 기본값
  - `en-US`
- Accept-Encoding `required: N` `description: 응답 압축 방식`
  - `gzip`
- X-PB-UserID `required: N` `description: 팝빌회원 아이디`

**Query 파라미터**

- c `type: string` `length: 4` `required: Y` `description: 조회할 기관코드`
  - [\[참고\] 조회 가능한 금융기관](https://developers.popbill.com/guide/accountcheck/introduction/depositor#account_bank_list)
- n `type: string` `length: 30` `required: Y` `description: 조회할 기관의 계좌번호 ('-' 제외)`
  - 7자리 이상 14자리 이하
- t `type: string` `length: 1` `required: Y` `description: 실명번호 유형`
  - `B`: 사업자
  - `P`: 개인
- p `type: string` `length: 10` `required: Y` `description: 실명번호 ('-' 제외)`
  - {identityNumType}="B" 경우 사업자번호
  - {identityNumType}="P" 경우 생년월일 (형식 : yyMMdd)

**요청 예시**

```bash
curl --request POST \
  --url 'https://{domain}/EasyFin/DepositorCheck?c={c}&n={n}&t={t}&p={p}' \
  --header 'Authorization: Bearer {token}'
```

### Response

**응답 본문**

- result `type: number` `length: -` `description: 상태코드`
  - [\[참고\] 팝빌 상태코드](https://developers.popbill.com/api-reference/accountcheck/response-code#result-code)
- resultMessage `type: string` `length: 2000` `description: 상태메시지`
- accountName `type: string` `length: 30` `description: 예금주 성명`
  - 금융기관에 따라 응답하는 최대 길이의 차이가 있음
- bankCode `type: string` `length: 4` `description: 기관코드`
  - [\[참고\] 조회 가능한 금융기관](https://developers.popbill.com/guide/accountcheck/introduction/depositor#account_bank_list)
- accountNumber `type: string` `length: 30` `description: 계좌번호`
  - 7자리 이상 14자리 이하
- identityNumType `type: string` `length: 1` `description: 실명번호 유형`
  - `B`: 사업자
  - `P`: 개인
- identityNum `type: string` `length: 10` `description: 실명번호 ('-' 제외)`
  - {identityNumType}="B" 경우 사업자번호
  - {identityNumType}="P" 경우 생년월일 (형식 : yyMMdd)
- checkDT `type: string` `length: 14` `description: 확인일시`
  - 형식 : yyyyMMddHHmmss

**응답 예시**

```json
{
    "bankCode": "0012",
    "accountNumber": "계좌번호",
    "accountName": "예금주 성명",
    "result": 100,
    "resultMessage": "성공",
    "identityNum": "971224",
    "identityNumType": "P",
    "checkDT": "20251020171518"
}
```
